Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::DynUnion_var Class Reference

`#include <DynamicAnyC.h>`

Inheritance diagram for DynamicAny::DynUnion_var:

[legend]
Collaboration diagram for DynamicAny::DynUnion_var:

[legend]
List of all members.

## Public Methods
| DynUnion_var (void)
| DynUnion_var (DynUnion_ptr p)
| DynUnion_var (const DynUnion_var &)
| ~DynUnion_var (void)
DynUnion_var & | operator= (DynUnion_ptr)
DynUnion_var & | operator= (const DynUnion_var &)
DynUnion_ptr | operator-> (void) const
| operator const DynUnion_ptr & () const
| operator DynUnion_ptr & ()
DynUnion_ptr | in (void) const
DynUnion_ptr & | inout (void)
DynUnion_ptr & | out (void)
DynUnion_ptr | _retn (void)
DynUnion_ptr | ptr (void) const
## Static Public Methods
DynUnion_ptr | tao_duplicate (DynUnion_ptr)
void | tao_release (DynUnion_ptr)
DynUnion_ptr | tao_nil (void)
DynUnion_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| DynUnion_var (const TAO_Base_var &rhs)
DynUnion_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
DynUnion_ptr | ptr_

## Constructor & Destructor Documentation

DynamicAny::DynUnion_var::DynUnion_var | ( | void |  | ) |

DynamicAny::DynUnion_var::DynUnion_var | ( | DynUnion_ptr | p | ) | `[inline]`

DynamicAny::DynUnion_var::DynUnion_var | ( | const DynUnion_var & |  | ) |

DynamicAny::DynUnion_var::~DynUnion_var | ( | void |  | ) |

DynamicAny::DynUnion_var::DynUnion_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

DynUnion_ptr DynamicAny::DynUnion_var::_retn | ( | void |  | ) |

DynUnion_ptr DynamicAny::DynUnion_var::in | ( | void |  | ) | const

DynUnion_ptr& DynamicAny::DynUnion_var::inout | ( | void |  | ) |

DynamicAny::DynUnion_var::operator const DynUnion_ptr & | ( |  | ) | const

DynamicAny::DynUnion_var::operator DynUnion_ptr & | ( |  | ) |

DynUnion_ptr DynamicAny::DynUnion_var::operator-> | ( | void |  | ) | const

DynUnion_var& DynamicAny::DynUnion_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

DynUnion_var& DynamicAny::DynUnion_var::operator= | ( | const DynUnion_var & |  | ) |

DynamicAny::DynUnion_var & DynamicAny::DynUnion_var::operator= | ( | DynUnion_ptr | p | ) |

DynUnion_ptr& DynamicAny::DynUnion_var::out | ( | void |  | ) |

DynamicAny::DynUnion_ptr DynamicAny::DynUnion_var::ptr | ( | void |  | ) | const

DynUnion_ptr DynamicAny::DynUnion_var::tao_duplicate | ( | DynUnion_ptr |  | ) | `[static]`

DynUnion_ptr DynamicAny::DynUnion_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

DynUnion_ptr DynamicAny::DynUnion_var::tao_nil | ( | void |  | ) | `[static]`

void DynamicAny::DynUnion_var::tao_release | ( | DynUnion_ptr |  | ) | `[static]`

CORBA::Object* DynamicAny::DynUnion_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

DynUnion_ptr DynamicAny::DynUnion_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- DynamicAnyC.h
- DynamicAnyC.cpp